summaryrefslogtreecommitdiffstats
path: root/.scripts/tools
diff options
context:
space:
mode:
Diffstat (limited to '.scripts/tools')
-rwxr-xr-x.scripts/tools/ifinstalled3
-rwxr-xr-x.scripts/tools/setbg3
2 files changed, 4 insertions, 2 deletions
diff --git a/.scripts/tools/ifinstalled b/.scripts/tools/ifinstalled
new file mode 100755
index 0000000..bdbcbc4
--- /dev/null
+++ b/.scripts/tools/ifinstalled
@@ -0,0 +1,3 @@
+#!/bin/sh
+# If $1 command is not available, error code and notify.
+command -v "$1" >/dev/null || { notify-send "$1 is not installed." && exit 1 ;}
diff --git a/.scripts/tools/setbg b/.scripts/tools/setbg
index c003b1a..6ffd21d 100755
--- a/.scripts/tools/setbg
+++ b/.scripts/tools/setbg
@@ -1,4 +1,3 @@
#!/bin/sh
# Sets the background. Many scripts need to do this, but I've put it here so you can easily change all their actions.
-#setroot -z ~/.config/wall.png # with setroot
-feh --bg-scale "$HOME/.config/wall.png" # feh
+xwallpaper --center ~/.config/wall.png